pmu
3
HAL Library

# pmu

## Synopsis

    gboolean    pmu_synthesize_hotplug_events   (void);
    void        hotplug_event_begin_add_pmu     (const gchar *pmu_path,
                                                 int pmu_type,
                                                 HalDevice *parent,
                                                 void *end_token);
    void        hotplug_event_begin_remove_pmu  (const gchar *pmu_path,
                                                 int pmu_type,
                                                 void *end_token);
    gboolean    pmu_rescan_device               (HalDevice *d);
    HotplugEvent* pmu_generate_add_hotplug_event
                                                (HalDevice *d);
    HotplugEvent* pmu_generate_remove_hotplug_event
                                                (HalDevice *d);

## Description

## Details

### pmu_synthesize_hotplug_events ()

    gboolean    pmu_synthesize_hotplug_events   (void);

Returns :

### hotplug_event_begin_add_pmu ()

    void        hotplug_event_begin_add_pmu     (const gchar *pmu_path,
                                                 int pmu_type,
                                                 HalDevice *parent,
                                                 void *end_token);

`pmu_path` :

`pmu_type` :

`parent` :

`end_token` :

### hotplug_event_begin_remove_pmu ()

    void        hotplug_event_begin_remove_pmu  (const gchar *pmu_path,
                                                 int pmu_type,
                                                 void *end_token);

`pmu_path` :

`pmu_type` :

`end_token` :

### pmu_rescan_device ()

    gboolean    pmu_rescan_device               (HalDevice *d);

`d` :

Returns :

### pmu_generate_add_hotplug_event ()

    HotplugEvent* pmu_generate_add_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### pmu_generate_remove_hotplug_event ()

    HotplugEvent* pmu_generate_remove_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :